#XML functionality and DB functionality

from newspaper import Newspaper

nloader = Newspaper()
articleinfo = nloader.load("enewspaper.xml")
articles = articleinfo['article_list']

for i in articles:
	print "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
	print "title: " + i.title
	print "subtitle: " + i.subtitle
	print "category: " + i.category
	print "author_text: " + i.author_text
	print "ingress: " + i.ingress
	print "body: " + i.body[:100] + " ..."
	print "ill1: "  + i.ill
	print "author_ill: " + i.author_ill
	print "caption1: " + i.caption
	print "########################################"

enewspaper = Enewspaper(issue = articleinfo['issue'], volume = articleinfo['volume'])
enewspaper.save()

articlelist = []
for art in articles:
	author_text = Author(name = art.author_text)
	author_text.save()
	
	author_ill = Author(name = art.author_ill)
	author_ill.save()

	ill = Illustration(	title = "No title",
						caption = art.caption,
						pathtofile = art.ill,
						author = author_ill)
	ill.save()

	a = Article(author = author_text, 
				category = art.category, 
				title = art.title, 
				subtitle = art.subtitle,
				ingress = art.ingress,
				body = art.body,
				illustration = ill)
	articlelist.append(a)
	a.save()
	
	enewspaper.articles.add(a)
			


