#image.py
from __future__ import division
#import Image, ImageOps
from Image import open, ANTIALIAS
from ImageOps import grayscale
from urllib import urlretrieve, urlopen, urlcleanup
from math import ceil


#saves an ill locally.
def saveIll(url, upload_path, filename):
	#first, check if image at given url
	site = urlopen(url)
	site_info = site.info()
	site_type = site_info.gettype()
	site.close
	
	pathto_ill = ""
	if site_type.split("/")[0] == "image" or url[:25] == "http://www.underdusken.no":
		print "in saveILL: " + url + " -> " + upload_path + "/" + filename
		urlretrieve(url, upload_path + "/" + filename)
		urlcleanup()
		pathto_ill = upload_path + "/" + filename
		
	return pathto_ill

# for greyscaling and resizing of images. Will default resize to 350px height and variable width to keep aspect ratio
def transcodeImage(path="/home/hraune/Master_prog/img/ali.jpg", path_save= "/home/hraune/Master_prog/html/img/", size = (0,350), bw=True):
	splitpath = path.split("/")
	filename = (splitpath[-1]).split(".")[0]
	#print "filename"
	
	print "path in transcode method: " + path

	try:
		img = open(path)
	except IOError:
		print "no file at location" + path
		return None
	

	format = img.format
	print "Format: " + str(format)
	#print "img size " + str(img.size[0]) + ", " + str(img.size[1])
	aspect_ratio = img.size[0]/img.size[1]
	print "aspect: " + str(aspect_ratio)
	
	if bw:
		gs_img = grayscale(img)
	
	
	if size[0] == 0:
		new_height = size[1]
		new_width = int(ceil(aspect_ratio * new_height))
		print "New width" + str(new_width)
		new_size = (new_width, new_height)
	
	ill_file = path_save + "enews_" + filename + "." + format.lower()
	
	rescaled_img = gs_img.resize(new_size, ANTIALIAS)
	rescaled_img.save(ill_file)

	return (ill_file, aspect_ratio)	
