#!/usr/bin/perl -w

use lib('/usr/web/modules');
package ids::ids;
use strict;
use Apache::Constants qw(OK DECLINED REDIRECT);
no warnings('uninitialized');
use ids::dispatcher;

sub handler
{
        my $r = shift;
        my $xml;
        $xml=$r->content;
        if($xml=~/xml/)
        {
                my $dispatcher=ids::dispatcher->new($xml);
		$r->header_out("Content-length:",length($dispatcher->{response}));
                $r->send_http_header('application/octet-stream;charset=UTF-8');
                $r->print($dispatcher->{response});
        }
        else
        {
                $r->send_http_header('text/plain');
                $r->print("--- Welcome to IDS ---\n\n\n I couldn't find any valid XML in your input, so I'm bailing out.\n\nyou sent: $xml");
        }
        return OK;
}


1;

